Bug 60099 - Installer crashes during filesystem formatting
Installer crashes during filesystem formatting
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-02-19 19:51 EST by Brian Dickman
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-19 19:52:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Dickman 2002-02-19 19:51:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
This install was done using the dosutil autoboot to initiate the installer and 
a FTP host to load files.  The files on the FTP host were copied from a loop 
mount of the CDs, which match md6sums from RedHat.  The installation runs in 
text mode.

After selecting a Workstation install and proceeding with all the default 
values including autopartition on a single IDE hard drive, the installer 
crashes at the "Formatting / filesystem" stage.  The main install screen shows 
about 1/8 of the progress bar completed, then "install exited abnormally -- 
received signal 11" and then all the termination and umount messages.  tty4 
(the F5 terminal) shows mke2fs in the middle of a format, stopped at:

Writing inode tables: 7/61

tty3 is completely full of the message:

<6>attempt to access beyond end of device
<6>01:01: rw=0, want 4846, limit=4608
And then the last 4 lines are this error:
<4>Error -3 while decompressing!
<4>Error -3 while decompressing!

All other terminals appear normal.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use "autoboot" from the dosutils directory, CD, net, or local HD copy.
2. Use hdimage or ftp install
3. Select Workstation and select all defaults throughout install

Additional info:

This has reproduced on a second machine.  The original is a 450MHz PII on 450NX 
chipset, second I don't recall, probably about 300MHz PII on an LX or BX. (can 
verify on almost any other config if needed)

The original failing machine installs from CD in full graphic mode flawlessly.

Also tried autoboot with the additional parameter "ide=nodma" without chainge 
in the failure.
Comment 1 Jeremy Katz 2002-02-20 00:25:11 EST
Edit autoboot to add the option "ramdisk_size=7168" to the kernel boot line and
it should work.
Comment 2 Brian Dickman 2002-02-20 13:23:11 EST
Confirmed.  Thanks for the fix.

Note You need to log in before you can comment on or make changes to this bug.